Download on the App Store

MLB.com Home Run Derby Device Requirements

Requires iOS 6.0 or later. Compatible with the following iOS devices:

  • iPhone 4s, 5, 5c, 5s, 6, 6s, 6 Plus and 6s Plus
  • iPad 2, 3, 4, Mini, Air
  • iPod Touch 5th & 6th Gen

* as of 03/02/2016 for all versions